#
# spec file for package python-openssl (Version 0.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           python-openssl
BuildRequires:  openssl-devel python-devel
Summary:        Python wrapper module around the OpenSSL library
Version:        0.6
Release:        17.6
Source:         pyOpenSSL-%{version}.tar.bz2
License:        LGPL v2.1 or later
Group:          Development/Languages/Python
Url:            http://pyopenssl.sourceforge.net/
Requires:       python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         %{_prefix}

%description
High-level wrapper around a subset of the OpenSSL library, includes
   * SSL.Connection objects, wrapping the methods of Python's
   portable sockets

* Callbacks written in Python

* Extensive error-handling mechanism, mirroring OpenSSL's error codes
...  and much more ;)



Authors:
--------
    Martin Sjgren <msjogren@gmail.com>

%debug_package
%prep
%setup -n pyOpenSSL-%{version}

%build
#export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"
python setup.py install --prefix=%{_prefix} --optimize=2 --record-rpm=INSTALLED_FILES \
      --root="$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}
cp -p COPYING INSTALL PKG-INFO TODO README $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
cp -pr examples doc  $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}

%changelog
* Tue Feb 28 2006 - jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug 25 2004 - garloff@suse.de
- Initial creation of package python-openssl (pyOpenSSL).
